#!/system/bin/busybox sh

# Vibrator configuration
echo 2400 > /sys/devices/platform/msm_pmic_vibrator/voltage_mv

# LM3530 LMU configuration
echo linear > /sys/devices/i2c-0/0-0036/br::mapping		# linear exp
echo 8192 > /sys/devices/i2c-0/0-0036/br::rate::up		# 8, 1024, 2048, 4096, 8192, 16384, 32768, 65538
echo 65538 > /sys/devices/i2c-0/0-0036/br::rate::down	# 8, 1024, 2048, 4096, 8192, 16384, 32768, 65538
echo 255 > /sys/devices/i2c-0/0-0036/br::limit			# 0 - 255
echo 19.0 > /sys/devices/i2c-0/0-0036/br::fsc			# 5.0, 8.5, 12.0, 15.5, 19.0, 22.5, 26.0, 29.5echo 27,70,110,180 > /sys/devices/i2c-0/0-0036/curve::borders
echo 27,70,110,180 > /sys/devices/i2c-0/0-0036/curve::borders
echo 13,60,110,154,254 > /sys/devices/i2c-0/0-0036/curve::targets
echo high-z > /sys/devices/i2c-0/0-0036/als::r1			# high-z, 9360, 5560 .. 677.6 (see chip mnual)
echo high-z > /sys/devices/i2c-0/0-0036/als::r2			# high-z, 9360, 5560 .. 677.6 (see chip mnual)
echo 1024 > /sys/devices/i2c-0/0-0036/als::avg-t		# 32, 63, 128, 256, 512, 1024, 2048, 4096
echo i2c > /sys/devices/i2c-0/0-0036/mode				# i2c, i2c_als

# Proximity sensor configuration
echo  15 > /sys/devices/platform/proximity-sensor/semc/proximity-sensor/led_on_ms
echo  65 > /sys/devices/platform/proximity-sensor/semc/proximity-sensor/led_off_ms

# CPU Governor
echo "ondemand" > /sys/devices/system/cpu/cpu0/cpufreq/scaling_governor
echo 80 > /sys/devices/system/cpu/cpu0/cpufreq/ondemand/up_threshold
echo 40 > /sys/devices/system/cpu/cpu0/cpufreq/ondemand/down_differential
echo 400000 > /sys/devices/system/cpu/cpu0/cpufreq/ondemand/sampling_rate
echo 122880 > /sys/devices/system/cpu/cpu0/cpufreq/scaling_min_freq

# Needed by FM Radio
mkdir /data/radio
chmod 0777 /data/radio
chmod 0777 /dev/msm*
chmod 0777 /dev/pmem_adsp
chmod 0777 /dev/msm_camera/*
chmod 0777 /dev/graphics/*
chmod 0777 /dev/oncrpc/*
chmod 0777 /sys/class/semc/rgb_led/*

###Drain battery fix ??
mount -o remount,noatime,noauto_da_alloc,nodiratime,barrier=0,nobh,rw /dev/block/mtdblock0 /system
chmod u+s /system/bin/charger

###enable swap(partition3)###
#swapon /dev/block/mmcblk0p3
#echo "10" > /proc/sys/vm/swappiness


###enable KSM###
#echo 1 > /sys/kernel/mm/ksm/run


###fsync_disabled###
###Writing 1 to this file disable all the per-file sync capabilities:
###fsync(), fdatasync(), sync_file_range(); writing 0 re-enables them.
###WARNING: disabling fsync may cause loss of data if application crashes
#echo 1 > /sys/module/sync/parameters/fsync_disabled


###sysctl and ram tweak###
#echo "2000" > /proc/sys/vm/dirty_writeback_centisecs	# Misc tweaks for battery life	#500 
#echo "500" > /proc/sys/vm/dirty_expire_centisecs		#200 
#echo "40" > /proc/sys/vm/vfs_cache_pressure			#sysctl vm tweaks org	#100	 	
#echo "95" > /proc/sys/vm/dirty_ratio					#10
#echo "40" > /proc/sys/vm/dirty_background_ratio		#5
#echo "4096" > /proc/sys/vm/min_free_kbytes				#1869


###Change IO scheduler###
#SCHEDULER=sio
#MMC=`ls -d /sys/block/mmc*`;
#MTD=`ls -d /sys/block/mtd*`;
#LOOP=`ls -d /sys/block/loop*`;
#RAM=`ls -d /sys/block/ram*`;
#for i in $LOOP $MTD $MMC;
#do
#echo $SCHEDULER > $i/queue/scheduler;
#done;

